Loading...
Searching...
No Matches
coap_pki_key_pem_buf_t Struct Reference
Application API » DTLS Support

The structure that holds the PKI PEM buffer definitions. More...

`#include <coap_dtls.h>`

## Data Fields

const uint8_t * | ca_cert
| PEM buffer Common CA Cert.
const uint8_t * | public_cert
| PEM buffer Public Cert, or Public Key if RPK.
const uint8_t * | private_key
| PEM buffer Private Key If RPK and 'EC PRIVATE KEY' this can be used for both the public_cert and private_key.
size_t | ca_cert_len
| PEM buffer CA Cert length.
size_t | public_cert_len
| PEM buffer Public Cert length.
size_t | private_key_len
| PEM buffer Private Key length.

## Detailed Description

The structure that holds the PKI PEM buffer definitions.

The certificates and private key data must be in PEM format.

Note: The Certs and Key should be NULL terminated strings for performance reasons (to save a potential buffer copy) and the length include this NULL terminator. It is not a requirement to have the NULL terminator though and the length must then reflect the actual data size.

Definition at line 194 of file coap_dtls.h.

## Field Documentation

## ca_cert

const uint8_t* coap_pki_key_pem_buf_t::ca_cert

PEM buffer Common CA Cert.

Definition at line 195 of file coap_dtls.h.

## ca_cert_len

size_t coap_pki_key_pem_buf_t::ca_cert_len

PEM buffer CA Cert length.

Definition at line 200 of file coap_dtls.h.

## private_key

const uint8_t* coap_pki_key_pem_buf_t::private_key

PEM buffer Private Key If RPK and 'EC PRIVATE KEY' this can be used for both the public_cert and private_key.

Definition at line 197 of file coap_dtls.h.

## private_key_len

size_t coap_pki_key_pem_buf_t::private_key_len

PEM buffer Private Key length.

Definition at line 202 of file coap_dtls.h.

## public_cert

const uint8_t* coap_pki_key_pem_buf_t::public_cert

PEM buffer Public Cert, or Public Key if RPK.

Definition at line 196 of file coap_dtls.h.

## public_cert_len

size_t coap_pki_key_pem_buf_t::public_cert_len

PEM buffer Public Cert length.

Definition at line 201 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h